Gridstate
ApiV1Change events

List immutable fact change events

GET
/v1/change-events

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

type?string
cursor?string
limit?integer
Range1 <= value <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/change-events"
{  "data": [    {      "id": "string",      "type": "planning_fact.created",      "entityId": "string",      "occurredAt": "2019-08-24T14:15:22Z",      "payload": {        "property1": "string",        "property2": "string"      }    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "id_asc"  }}